[data-component-id="incmty:columnas"] {
  background-color: var(--bg-color);
  padding: 48px;
  text-align: center;

  .section-h {
    margin-bottom: 16px;
  }

  .title-h {
    margin-bottom: 16px;
  }

  .columns-items-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 16px;

    .ckeditor {
      text-align: initial;
    }
  }

  .sm-50{
    width: calc(50% - 8px);
  }

  .sm-100{
    width: 100%;
  }

  .ckeditor-accordion-container {
    border-top: 1px solid var(--divider-color);;
    border-bottom: 1px solid var(--divider-color);;

    dl {
      border: 0;
      margin: 0;
    }

    dd {
      margin-top: 0;
      padding-left: 0;
      padding-right: 0;
      padding-bottom: 24px;

      + dt {
        margin-top: 0;
        border-top: 1px solid var(--divider-color)
      }
    }

    .ckeditor-accordion-toggler {
      text-align: left;
      padding: 24px 0;
      padding-right: 56px;
      background: none;
      border: none;
      position: relative;
      text-decoration: none;
      color: var(--text-color);
      opacity: 1;

      &:hover {
        background: none;
        color: var(--text-color);
      }

      .ckeditor-accordion-toggle {
        left: auto;
        right: 0;
        top: 0;
        height: 100%;
        width: 50px;

        &::before {
          content: '';
          position: absolute;
          right: 0;
          top: 50%;
          transform: translateY(-50%);
          border-radius: 48px;
          background: none;
          height: 32px;
          width: 32px;
          border: 2px solid var(--text-color);
        }

        &::after {
          content: '';
          position: absolute;
          top: 50%;
          right: 0;
          display: inline-block;
          transform: translateY(-50%) rotate(-90deg);
          transition: all 0.3s ease;
          width: 36px;
          height: 36px;
          mask-size: 20px;
          mask-position: center;
          mask-repeat: no-repeat;
          mask-image: url(/themes/custom/incmty/images/svg/chevron-left.svg);
          background-image: none;
          background-color: var(--text-color);
        }
      }

      &:focus {
        outline: none;
        box-shadow: none;
      }
    }

    .active {
      .ckeditor-accordion-toggler .ckeditor-accordion-toggle {
        &::after {
          transform: translateY(-50%) rotate(90deg);
        }
      }
    }
  }
}

@media only screen and (min-width: 768px) {
  [data-component-id="incmty:columnas"] {
    padding: 96px;

    .title-h {
      margin-bottom: 48px;
    }

    .columns-items-container {
      gap: 48px 24px;
    }

    .md-25 {
      width: calc(25% - 18px);
    }

    .md-50 {
      width: calc(50% - 12px);
    }

    .md-75 {
      width: calc(75% - 6px);
    }

    .md-100 {
      width: 100%;
    }
  }
}

@media only screen and (min-width: 1280px) {
  [data-component-id="incmty:columnas"] {
    .lg-25 {
      width: calc(25% - 18px);
    }

    .lg-50 {
      width: calc(50% - 12px);
    }

    .lg-75 {
      width: calc(75% - 6px);
    }

    .lg-100 {
      width: 100%;
    }
  }
}
